Package com.smartgwt.logicalstructure.widgets

# Class SliderLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.SliderLogicalStructure

public class SliderLogicalStructure extends CanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `activeTrackStyle`
  `String`
  `animateThumb`
  `String`
  `animateThumbInit`
  `String`
  `animateThumbTime`
  `String`
  `canFocus`
  `String`
  `flipValues`
  `String`
  `floatValueLabel`
  `String`
  `hLabelSpacing`
  `String`
  `hThumbStyle`
  `String`
  `hTrackStyle`
  `String`
  `hValueStyle`
  `String`
  `labelHeight`
  `String`
  `labelSpacing`
  `String`
  `labelWidth`
  `String`
  `length`
  `String`
  `maxValue`
  `String`
  `maxValueLabel`
  `String`
  `minValue`
  `String`
  `minValueLabel`
  `String`
  `numValues`
  `String`
  `rangeFormat`
  `String`
  `rangeStyle`
  `String`
  `roundPrecision`
  `String`
  `roundValues`
  `String`
  `showActiveTrack`
  `String`
  `showRange`
  `String`
  `showTitle`
  `String`
  `showValue`
  `String`
  `stepPercent`
  `String`
  `thumbSrc`
  `String`
  `thumbThickWidth`
  `String`
  `thumbThinWidth`
  `String`
  `title`
  `String`
  `titleSpacing`
  `String`
  `titleStyle`
  `String`
  `trackCapSize`
  `String`
  `trackImageType`
  `String`
  `trackSrc`
  `String`
  `trackWidth`
  `String`
  `value`
  `String`
  `valueFormat`
  `String`
  `valueStyle`
  `String`
  `valueTextStyle`
  `String`
  `vertical`
  `String`
  `vLabelSpacing`
  `String`
  `vThumbStyle`
  `String`
  `vTrackStyle`
  `String`
  `vValueStyle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, editProxyConstructor, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SliderLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### activeTrackStyle

    public String activeTrackStyle

  - ### animateThumb

    public String animateThumb

  - ### animateThumbInit

    public String animateThumbInit

  - ### animateThumbTime

    public String animateThumbTime

  - ### canFocus

    public String canFocus

  - ### flipValues

    public String flipValues

  - ### floatValueLabel

    public String floatValueLabel

  - ### hLabelSpacing

    public String hLabelSpacing

  - ### hThumbStyle

    public String hThumbStyle

  - ### hTrackStyle

    public String hTrackStyle

  - ### hValueStyle

    public String hValueStyle

  - ### labelHeight

    public String labelHeight

  - ### labelSpacing

    public String labelSpacing

  - ### labelWidth

    public String labelWidth

  - ### length

    public String length

  - ### maxValue

    public String maxValue

  - ### maxValueLabel

    public String maxValueLabel

  - ### minValue

    public String minValue

  - ### minValueLabel

    public String minValueLabel

  - ### numValues

    public String numValues

  - ### rangeFormat

    public String rangeFormat

  - ### rangeStyle

    public String rangeStyle

  - ### roundPrecision

    public String roundPrecision

  - ### roundValues

    public String roundValues

  - ### showActiveTrack

    public String showActiveTrack

  - ### showRange

    public String showRange

  - ### showTitle

    public String showTitle

  - ### showValue

    public String showValue

  - ### stepPercent

    public String stepPercent

  - ### thumbSrc

    public String thumbSrc

  - ### thumbThickWidth

    public String thumbThickWidth

  - ### thumbThinWidth

    public String thumbThinWidth

  - ### title

    public String title

  - ### titleSpacing

    public String titleSpacing

  - ### titleStyle

    public String titleStyle

  - ### trackCapSize

    public String trackCapSize

  - ### trackImageType

    public String trackImageType

  - ### trackSrc

    public String trackSrc

  - ### trackWidth

    public String trackWidth

  - ### value

    public String value

  - ### valueFormat

    public String valueFormat

  - ### valueStyle

    public String valueStyle

  - ### valueTextStyle

    public String valueTextStyle

  - ### vertical

    public String vertical

  - ### vLabelSpacing

    public String vLabelSpacing

  - ### vThumbStyle

    public String vThumbStyle

  - ### vTrackStyle

    public String vTrackStyle

  - ### vValueStyle

    public String vValueStyle

- ## Constructor Details

  - ### SliderLogicalStructure

    public SliderLogicalStructure()